Subject: [lisp] draft-ietf-lisp-introduction-04 (Part 2)

From: Ronald Bonica <[email-masked]>
Date: Wed, 6 Aug 2014 18:30:23 +0000

Folks,

The following text is lifted from Section 6.1. At best, it is difficult to parse. At worst, it is incorrect. Is there a better way to distinguish between an IED and a LOC?

                                           Rn

"The second key concept is that if one wants to be as forward-looking as possible, conceptually one should think of the two kinds of names  (EIDs and RLOCs) as naming different classes of entities.

 On the one hand, EIDs are used to name nodes - or rather, their end- end communication entities.  RLOC(s), on the other hand, name interfaces, i.e. places to which the system of routers sends packets.

 This distinction, the formal recognition of different kinds of entities ("endpoints" and interfaces), and their association with the two different classes of names, is also important.  Clearly recognizing interfaces and endpoints as distinctly separate classes of objects is another improvement to the existing Internet"  architecture."

---

From: Albert Cabellos <[email-masked]>
Date: Thu, 7 Aug 2014 17:48:43 +0200

Hi Ron

> The following text is lifted from Section 6.1. At best, it is difficult to parse. At worst, it is incorrect. Is there a better way to distinguish between an IED and a LOC?

What about stating that RLOCs are topologically assigned to network
attachment points while EIDs are independent of the topology and used
to identify devices.

Albert

> _______________________________________________
> lisp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lisp

---

From: Dino Farinacci <[email-masked]>
Date: Thu, 7 Aug 2014 08:52:04 -0700

> attachment points while EIDs are independent of the topology and used

A perfect and concise definition.

Dino

---

From: Ronald Bonica <[email-masked]>
Date: Mon, 11 Aug 2014 14:38:34 +0000

Hi Albert, 

Your definition misses one small but important point. The degree to which an EID carries topological information depends largely upon the observer's location.

For example, assume that a LISP site is served by two XTRs and both XTRs go down. Nodes within the site can still communicate with one another, even though no device that is operating has a LOCATOR. In this case, where does topological information come from?

Also, when an EID is advertised into the global Internet by a PITR, does it continue to be an EID? If so, does it continue to be devoid of location semantics?

                                                                                                      Ron

> -----Original Message-----
> From: Albert Cabellos [mailto:[email-masked]]
> Sent: Thursday, August 07, 2014 11:49 AM
> To: Ronald Bonica
> Cc: LISP mailing list list
> Subject: Re: [lisp] draft-ietf-lisp-introduction-04 (Part 2)
> 
> Hi Ron
> 
> 
> 
> > The following text is lifted from Section 6.1. At best, it is difficult to parse.
> At worst, it is incorrect. Is there a better way to distinguish between an IED
> and a LOC?
> >
> 
> attachment points while EIDs are independent of the topology and used to
> identify devices.
> 
> Albert
> 
> >                                            Rn
> >
> > "The second key concept is that if one wants to be as forward-looking as
> possible, conceptually one should think of the two kinds of names  (EIDs and
> RLOCs) as naming different classes of entities.
> >
> >  On the one hand, EIDs are used to name nodes - or rather, their end- end
> communication entities.  RLOC(s), on the other hand, name interfaces, i.e.
> places to which the system of routers sends packets.
> >
> >  This distinction, the formal recognition of different kinds of entities
> ("endpoints" and interfaces), and their association with the two different
> classes of names, is also important.  Clearly recognizing interfaces and
> endpoints as distinctly separate classes of objects is another improvement to
> the existing Internet"  architecture."
> >
> >
> >

---

From: "Darrel Lewis (darlewis)" <[email-masked]>
Date: Mon, 11 Aug 2014 17:28:32 +0000

Ron,

It strikes me that we’ve had discussions on what an EID is many, many times before on this list. Perhaps looking at those archived conversations would be useful. 

-Darrel

---

From: Ronald Bonica <[email-masked]>
Date: Mon, 11 Aug 2014 19:39:14 +0000

Darrel,

Yes, we have. Sadly, I don't recall every having seen a satisfactory answer on the mailing list. Can you point me to one?

                                                                                                       Ron

> From: Darrel Lewis (darlewis) [mailto:[email-masked]]
> Sent: Monday, August 11, 2014 1:29 PM
> To: Ronald Bonica
> Cc: Darrel Lewis (darlewis); [email-masked]; LISP mailing list list
> It strikes me that we've had discussions on what an EID is many, many times
> before on this list. Perhaps looking at those archived conversations would be
> useful.
> 
> -Darrel
> 
> 
> > Your definition misses one small but important point. The degree to which
> an EID carries topological information depends largely upon the observer's
> location.
> >
> > For example, assume that a LISP site is served by two XTRs and both XTRs
> go down. Nodes within the site can still communicate with one another, even
> though no device that is operating has a LOCATOR. In this case, where does
> topological information come from?
> >
> > Also, when an EID is advertised into the global Internet by a PITR, does it
> continue to be an EID? If so, does it continue to be devoid of location
> semantics?
> >
> >
> > Ron
> >
> >> At worst, it is incorrect. Is there a better way to distinguish
> >> between an IED and a LOC?
> >>>
> >>
> >> ("endpoints" and interfaces), and their association with the two
> >> different classes of names, is also important.  Clearly recognizing
> >> interfaces and endpoints as distinctly separate classes of objects is
> >> another improvement to the existing Internet"  architecture."
> >>>
> >>>
> >>>

---

From: "Darrel Lewis (darlewis)" <[email-masked]>
Date: Mon, 11 Aug 2014 21:37:54 +0000

I believe the satisfactory answer is the one that ended up in the definitions section of RFC 6830.

-D

---

From: Ronald Bonica <[email-masked]>
Date: Mon, 11 Aug 2014 23:11:45 +0000

Darrel,

The definitions offered by Albert and seconded by Dino is clear and succinct. This because they make blanket statements about the EID being independent of locator semantics and the RLOC being independent of identifier semantics.

By contrast, the RFC 6830 definitions of EID and RLOC are closer to being technically correct. This is because the hedge around the issue of whether the EID is really devoid of locator semantics. Sadly, the RFC 6830 definitions never really spell out the degree to which EIDs can carry locator semantics. Also, the RFC 6830 definitions are verbose and difficult to parse.

As a WG, we need to come to consensus on this issue and document it in a manner that is comprehensible to newcomers reading the document.

                                                                                              Ron

> Sent: Monday, August 11, 2014 5:38 PM
> To: Ronald Bonica
> > Yes, we have. Sadly, I don't recall every having seen a satisfactory answer
> on the mailing list. Can you point me to one?
> >
> >
> > Ron
> >
> >
> >> It strikes me that we've had discussions on what an EID is many, many
> >> times before on this list. Perhaps looking at those archived
> >> conversations would be useful.
> >>
> >> -Darrel
> >>
> >>
> >> an EID carries topological information depends largely upon the
> >> observer's location.
> >>>
> >> go down. Nodes within the site can still communicate with one
> >> another, even though no device that is operating has a LOCATOR. In
> >> this case, where does topological information come from?
> >>>
> >> continue to be an EID? If so, does it continue to be devoid of
> >> location semantics?
> >>>
> >>>
> >>> Ron
> >>>
> >>>> attachment points while EIDs are independent of the topology and
> >>>> used to identify devices.
> >>>>
> >>>> Albert
> >>>>
> >>>>>                                          Rn
> >>>>>
> >>>> interfaces and endpoints as distinctly separate classes of objects
> >>>> is another improvement to the existing Internet"  architecture."
> >>>>>
> >>>>>
> >>>>>

---

From: Dino Farinacci <[email-masked]>
Date: Mon, 11 Aug 2014 16:31:20 -0700

> As a WG, we need to come to consensus on this issue and document it in a manner that is comprehensible to newcomers reading the document.

Let's have descriptions where they are needed and formal definitions in the specs that were already published. And we should have the intro document make the descriptions more coarser than the technical definitions in the specs. Agree?

Dino

---

From: Ronald Bonica <[email-masked]>
Date: Mon, 11 Aug 2014 23:39:04 +0000

Dino,

Exactly! The Intro doc needs text that is a) easy to parse and b) technically correct. This will certainly be more coarse that the definition in 6830, but probably a little more verbose than what we have already proposed.

                                                                        Ron

> 
> Let's have descriptions where they are needed and formal definitions in the
> specs that were already published. And we should have the intro document
> make the descriptions more coarser than the technical definitions in the
> specs. Agree?
> 
> Dino

---

From: Albert Cabellos <[email-masked]>
Date: Tue, 12 Aug 2014 23:40:29 +0200

Hi Ron

The text that I suggested was meant for the introduction section, not
as a definition of the term.

Albert